Freeciv-3.2: named_sprites Struct Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Fields
named_sprites Struct Reference

## Data Fields

struct sprite * | indicator [INDICATOR_COUNT][NUM_TILES_PROGRESS]
struct sprite * | treaty_thumb [2]
struct sprite * | arrow [ARROW_LAST]
struct sprite * | icon [ICON_COUNT]
struct sprite * | events [E_COUNT]
struct sprite * | tax_luxury
struct sprite * | tax_science
struct sprite * | tax_gold
struct sprite * | dither_tile
struct { |
struct sprite * tile |
struct sprite * worked_tile |
struct sprite * unworked_tile |
} | mask |
struct sprite * | tech [A_LAST]
struct sprite * | building [B_LAST]
struct sprite * | government [G_LAST]
struct { |
struct sprite * icon [U_LAST][ACTIVITY_LAST] |
struct sprite * facing [U_LAST][DIR8_MAGIC_MAX][ACTIVITY_LAST] |
} | units |
struct sprite_vector | nation_flag
struct sprite_vector | nation_shield
struct citizen_set | default_citizens
struct style_citizen_set | style_citizen_sets
struct sprite * | spaceship [SPACESHIP_COUNT]
struct { |
int hot_x |
int hot_y |
struct sprite * frame [NUM_CURSOR_FRAMES] |
} | cursor [CURSOR_LAST] |
struct { |
struct sprite_vector unit |
struct sprite * nuke |
} | explode |
struct { |
int num_stack_sprites |
bool no_more_stack_sprites |
struct sprite * hp_bar [NUM_TILES_HP_BAR] |
struct sprite * vet_lev [MAX_VET_LEVELS] |
struct sprite * select [NUM_TILES_SELECT] |
struct sprite * auto_attack |
struct sprite * auto_settler |
struct sprite * auto_explore |
struct sprite * fortified |
struct sprite * fortifying |
struct sprite * go_to |
struct sprite * cultivate |
struct sprite * plant |
struct sprite * pillage |
struct sprite * sentry |
struct sprite ** stack |
struct sprite * loaded |
struct sprite * transform |
struct sprite * connect |
struct sprite * patrol |
struct sprite * convert |
struct sprite * battlegroup [MAX_NUM_BATTLEGROUPS] |
struct sprite * action_decision_want |
struct sprite * lowfuel |
struct sprite * tired |
} | unit |
struct { |
struct sprite * unhappy [MAX_NUM_UPKEEP_SPRITES] |
struct sprite * output [O_LAST][MAX_NUM_UPKEEP_SPRITES] |
} | upkeep |
struct { |
struct sprite * disorder |
struct sprite * size [NUM_TILES_DIGITS] |
struct sprite * size_tens [NUM_TILES_DIGITS] |
struct sprite * size_hundreds [NUM_TILES_DIGITS] |
struct sprite * tile_foodnum [NUM_TILES_DIGITS] |
struct sprite * tile_shieldnum [NUM_TILES_DIGITS] |
struct sprite * tile_tradenum [NUM_TILES_DIGITS] |
struct city_sprite * tile |
struct city_sprite * single_wall |
struct city_sprite * wall [NUM_WALL_TYPES] |
struct city_sprite * occupied |
struct sprite_vector worked_tile_overlay |
struct sprite_vector unworked_tile_overlay |
} | city |
struct citybar_sprites | citybar
struct editor_sprites | editor
struct { |
struct { |
struct sprite * specific |
struct sprite * turns [NUM_TILES_DIGITS] |
struct sprite * turns_tens [NUM_TILES_DIGITS] |
struct sprite * turns_hundreds [NUM_TILES_DIGITS] |
} s [GTS_COUNT] |
struct sprite * waypoint |
} | path |
struct { |
struct sprite * attention |
struct sprite * infratile |
} | user |
struct { |
struct sprite * fog |
struct sprite ** fullfog |
struct sprite * darkness [MAX_INDEX_CARDINAL] |
} | tx |
struct { |
struct sprite * activity |
struct sprite * rmact |
enum extrastyle_id extrastyle |
union { |
struct sprite * single |
struct sprite * cardinals [MAX_INDEX_CARDINAL] |
struct { |
struct sprite * background |
struct sprite * middleground |
struct sprite * foreground |
} bmf |
struct { |
struct sprite * isolated |
struct sprite * corner [8] |
union { |
struct sprite * dir [8] |
struct { |
struct sprite * even [MAX_INDEX_HALF] |
struct sprite * odd [MAX_INDEX_HALF] |
} combo |
struct sprite * total [MAX_INDEX_VALID] |
struct river_sprites rivers |
} ru |
} road |
} u |
} | extras [MAX_EXTRA_TYPES] |
struct { |
struct sprite * main [EDGE_COUNT] |
struct sprite * city [EDGE_COUNT] |
struct sprite * worked [EDGE_COUNT] |
struct sprite * unavailable |
struct sprite * nonnative |
struct sprite * selected [EDGE_COUNT] |
struct sprite * coastline [EDGE_COUNT] |
struct sprite * borders [EDGE_COUNT][2] |
} | grid |
struct { |
struct sprite_vector overlays |
} | colors |
struct { |
struct sprite * color |
struct sprite * graphic |
} | background |
struct { |
struct sprite * grid_borders [EDGE_COUNT][2] |
struct sprite * color |
struct sprite * background |
} | player [MAX_NUM_PLAYER_SLOTS] |
struct drawing_data * | drawing [MAX_NUM_ITEMS]

## Detailed Description

Definition at line 237 of file tilespec.c.

## Field Documentation

## ◆ action_decision_want

struct sprite * named_sprites::action_decision_want

Definition at line 306 of file tilespec.c.

## ◆ activity

struct sprite* named_sprites::activity

Definition at line 355 of file tilespec.c.

Referenced by fill_sprite_array(), fill_unit_sprite_array(), and tileset_setup_extra().

## ◆ arrow

struct sprite * named_sprites::arrow[ARROW_LAST]

Definition at line 241 of file tilespec.c.

Referenced by get_arrow_sprite().

## ◆ attention

struct sprite* named_sprites::attention

Definition at line 344 of file tilespec.c.

Referenced by fill_sprite_array(), and get_attention_crosshair_sprite().

## ◆ auto_attack

struct sprite * named_sprites::auto_attack

Definition at line 289 of file tilespec.c.

## ◆ auto_explore

struct sprite * named_sprites::auto_explore

Definition at line 291 of file tilespec.c.

## ◆ auto_settler

struct sprite * named_sprites::auto_settler

Definition at line 290 of file tilespec.c.

## ◆ background [1/2]

struct sprite* named_sprites::background

Definition at line 363 of file tilespec.c.

Referenced by fill_basic_base_sprite_array(), fill_sprite_array(), tileset_background_free(), tileset_background_init(), tileset_init(), tileset_player_free(), tileset_player_init(), and tileset_setup_base().

## ◆ [struct] [2/2]

struct { ... } named_sprites::background

## ◆ battlegroup

struct sprite * named_sprites::battlegroup[MAX_NUM_BATTLEGROUPS]

Definition at line 305 of file tilespec.c.

## ◆ [struct]

struct { ... } named_sprites::bmf

Referenced by fill_basic_base_sprite_array(), fill_sprite_array(), and tileset_setup_base().

## ◆ borders

struct sprite * named_sprites::borders[EDGE_COUNT][2]

Definition at line 397 of file tilespec.c.

Referenced by tileset_player_init().

## ◆ building

struct sprite* named_sprites::building[B_LAST]

Definition at line 259 of file tilespec.c.

Referenced by get_building_sprite(), and tileset_setup_impr_type().

## ◆ cardinals

struct sprite* named_sprites::cardinals[MAX_INDEX_CARDINAL]

Definition at line 360 of file tilespec.c.

Referenced by fill_basic_extra_sprite_array(), fill_irrigation_sprite_array(), and tileset_setup_extra().

## ◆ [struct] [1/2]

struct { ... } named_sprites::city

Referenced by fill_city_overlays_sprite_array(), fill_grid_sprite_array(), fill_sprite_array(), get_sample_city_sprite(), tileset_free_tiles(), tileset_init(), tileset_lookup_sprite_tags(), tileset_num_city_colors(), and tileset_setup_city_tiles().

## ◆ city [2/2]

struct sprite * named_sprites::city[EDGE_COUNT]

Definition at line 391 of file tilespec.c.

## ◆ citybar

struct citybar_sprites named_sprites::citybar

Definition at line 332 of file tilespec.c.

Referenced by get_citybar_sprites(), tileset_free_tiles(), and tileset_lookup_sprite_tags().

## ◆ coastline

struct sprite * named_sprites::coastline[EDGE_COUNT]

Definition at line 396 of file tilespec.c.

Referenced by fill_grid_sprite_array().

## ◆ color

struct sprite* named_sprites::color

Definition at line 403 of file tilespec.c.

Referenced by tileset_init(), tileset_player_free(), and tileset_player_init().

## ◆ [struct]

struct { ... } named_sprites::colors

Referenced by tileset_free_tiles(), and tileset_lookup_sprite_tags().

## ◆ [struct]

struct { ... } named_sprites::combo

Referenced by fill_basic_road_sprite_array(), and fill_road_sprite_array().

## ◆ connect

struct sprite * named_sprites::connect

Definition at line 302 of file tilespec.c.

## ◆ convert

struct sprite * named_sprites::convert

Definition at line 304 of file tilespec.c.

## ◆ corner

struct sprite * named_sprites::corner[8]

Definition at line 371 of file tilespec.c.

Referenced by fill_road_corner_sprites().

## ◆ cultivate

struct sprite * named_sprites::cultivate

Definition at line 295 of file tilespec.c.

## ◆ [struct]

struct { ... } named_sprites::cursor[CURSOR_LAST]

Referenced by get_cursor_sprite(), and tileset_lookup_sprite_tags().

## ◆ darkness

struct sprite * named_sprites::darkness[MAX_INDEX_CARDINAL]

Definition at line 351 of file tilespec.c.

Referenced by fill_terrain_sprite_darkness(), and tileset_lookup_sprite_tags().

## ◆ default_citizens

struct citizen_set named_sprites::default_citizens

Definition at line 270 of file tilespec.c.

Referenced by get_citizen_sprite(), tileset_setup_citizen_types_default_set(), and tileset_setup_specialist_type_default_set().

## ◆ dir

struct sprite* named_sprites::dir[8]

Definition at line 374 of file tilespec.c.

Referenced by fill_basic_road_sprite_array(), and fill_road_sprite_array().

## ◆ disorder

struct sprite* named_sprites::disorder

Definition at line 317 of file tilespec.c.

Referenced by fill_sprite_array().

## ◆ dither_tile

struct sprite * named_sprites::dither_tile

Definition at line 249 of file tilespec.c.

Referenced by tileset_setup_tile_type().

## ◆ drawing

struct drawing_data* named_sprites::drawing[MAX_NUM_ITEMS]

Definition at line 412 of file tilespec.c.

Referenced by fill_basic_terrain_layer_sprite_array(), fill_terrain_sprite_blending(), fill_terrain_sprite_layer(), and tileset_setup_tile_type().

## ◆ editor

struct editor_sprites named_sprites::editor

Definition at line 333 of file tilespec.c.

Referenced by get_editor_sprites().

## ◆ even

struct sprite* named_sprites::even[MAX_INDEX_HALF]

Definition at line 378 of file tilespec.c.

Referenced by fill_basic_road_sprite_array(), and fill_road_sprite_array().

## ◆ events

struct sprite * named_sprites::events[E_COUNT]

Definition at line 245 of file tilespec.c.

Referenced by get_event_sprite().

## ◆ [struct]

struct { ... } named_sprites::explode

Referenced by get_nuke_explode_sprite(), get_unit_explode_animation(), tileset_free_tiles(), and tileset_lookup_sprite_tags().

## ◆ [struct]

struct { ... } named_sprites::extras[MAX_EXTRA_TYPES]

Referenced by fill_basic_base_sprite_array(), fill_basic_extra_sprite_array(), fill_basic_road_sprite_array(), fill_irrigation_sprite_array(), fill_road_corner_sprites(), fill_road_sprite_array(), fill_sprite_array(), fill_unit_sprite_array(), tileset_setup_base(), tileset_setup_extra(), and tileset_setup_road().

## ◆ extrastyle

enum extrastyle_id named_sprites::extrastyle

Definition at line 357 of file tilespec.c.

Referenced by fill_basic_extra_sprite_array(), fill_basic_road_sprite_array(), fill_road_sprite_array(), tileset_setup_extra(), and tileset_setup_road().

## ◆ facing

struct sprite* named_sprites::facing[U_LAST][DIR8_MAGIC_MAX][ACTIVITY_LAST]

Definition at line 264 of file tilespec.c.

Referenced by get_unittype_sprite(), tileset_setup_unit_direction(), and tileset_setup_unit_type().

## ◆ fog

struct sprite* named_sprites::fog

Definition at line 349 of file tilespec.c.

Referenced by fill_fog_sprite_array(), and get_basic_fog_sprite().

## ◆ foreground

struct sprite * named_sprites::foreground

Definition at line 365 of file tilespec.c.

Referenced by fill_basic_base_sprite_array(), fill_sprite_array(), and tileset_setup_base().

## ◆ fortified

struct sprite * named_sprites::fortified

Definition at line 292 of file tilespec.c.

## ◆ fortifying

struct sprite * named_sprites::fortifying

Definition at line 293 of file tilespec.c.

## ◆ frame

struct sprite* named_sprites::frame[NUM_CURSOR_FRAMES]

Definition at line 276 of file tilespec.c.

Referenced by get_cursor_sprite().

## ◆ fullfog

struct sprite ** named_sprites::fullfog

Definition at line 350 of file tilespec.c.

Referenced by fill_fog_sprite_array(), tileset_free_tiles(), and tileset_lookup_sprite_tags().

## ◆ go_to

struct sprite * named_sprites::go_to

Definition at line 294 of file tilespec.c.

## ◆ government

struct sprite* named_sprites::government[G_LAST]

Definition at line 260 of file tilespec.c.

Referenced by get_government_sprite(), and tileset_setup_government().

## ◆ graphic

struct sprite* named_sprites::graphic

Definition at line 404 of file tilespec.c.

## ◆ [struct]

struct { ... } named_sprites::grid

Referenced by fill_grid_sprite_array(), and tileset_player_init().

## ◆ grid_borders

struct sprite* named_sprites::grid_borders[EDGE_COUNT][2]

Definition at line 407 of file tilespec.c.

Referenced by fill_grid_sprite_array(), tileset_init(), tileset_player_free(), and tileset_player_init().

## ◆ hot_x

int named_sprites::hot_x

Definition at line 275 of file tilespec.c.

Referenced by get_cursor_sprite(), and tileset_lookup_sprite_tags().

## ◆ hot_y

int named_sprites::hot_y

Definition at line 275 of file tilespec.c.

Referenced by get_cursor_sprite(), and tileset_lookup_sprite_tags().

## ◆ hp_bar

struct sprite* named_sprites::hp_bar[NUM_TILES_HP_BAR]

Definition at line 286 of file tilespec.c.

## ◆ icon

struct sprite* named_sprites::icon[U_LAST][ACTIVITY_LAST]

Definition at line 243 of file tilespec.c.

Referenced by get_icon_sprite(), get_unittype_sprite(), tileset_setup_unit_type(), and tileset_setup_unit_type_from_tag().

## ◆ indicator

struct sprite* named_sprites::indicator[INDICATOR_COUNT][NUM_TILES_PROGRESS]

Definition at line 239 of file tilespec.c.

Referenced by get_indicator_sprite().

## ◆ infratile

struct sprite* named_sprites::infratile

Definition at line 345 of file tilespec.c.

Referenced by fill_sprite_array().

## ◆ isolated

struct sprite* named_sprites::isolated

Definition at line 370 of file tilespec.c.

Referenced by fill_road_sprite_array().

## ◆ loaded

struct sprite * named_sprites::loaded

Definition at line 300 of file tilespec.c.

## ◆ lowfuel

struct sprite * named_sprites::lowfuel

Definition at line 307 of file tilespec.c.

## ◆ main

struct sprite* named_sprites::main[EDGE_COUNT]

Definition at line 390 of file tilespec.c.

Referenced by fill_grid_sprite_array().

## ◆ [struct]

struct { ... } named_sprites::mask

Referenced by tileset_background_init(), tileset_lookup_sprite_tags(), tileset_player_init(), and tileset_setup_tile_type().

## ◆ middleground

struct sprite * named_sprites::middleground

Definition at line 364 of file tilespec.c.

Referenced by fill_basic_base_sprite_array(), fill_sprite_array(), and tileset_setup_base().

## ◆ nation_flag

struct sprite_vector named_sprites::nation_flag

Definition at line 267 of file tilespec.c.

Referenced by get_nation_flag_sprite(), get_unit_nation_flag_sprite(), tileset_free_tiles(), tileset_lookup_sprite_tags(), and tileset_setup_nation_flag().

## ◆ nation_shield

struct sprite_vector named_sprites::nation_shield

Definition at line 268 of file tilespec.c.

Referenced by get_nation_shield_sprite(), get_unit_nation_flag_sprite(), tileset_free_tiles(), tileset_lookup_sprite_tags(), and tileset_setup_nation_flag().

## ◆ no_more_stack_sprites

bool named_sprites::no_more_stack_sprites

Definition at line 284 of file tilespec.c.

## ◆ nonnative

struct sprite * named_sprites::nonnative

Definition at line 394 of file tilespec.c.

Referenced by fill_grid_sprite_array().

## ◆ nuke

struct sprite* named_sprites::nuke

Definition at line 280 of file tilespec.c.

Referenced by get_nuke_explode_sprite().

## ◆ num_stack_sprites

int named_sprites::num_stack_sprites

Definition at line 283 of file tilespec.c.

## ◆ occupied

struct city_sprite * named_sprites::occupied

Definition at line 328 of file tilespec.c.

Referenced by fill_sprite_array(), tileset_free_tiles(), tileset_init(), and tileset_setup_city_tiles().

## ◆ odd

struct sprite * named_sprites::odd[MAX_INDEX_HALF]

Definition at line 379 of file tilespec.c.

Referenced by fill_road_sprite_array().

## ◆ output

struct sprite * named_sprites::output[O_LAST][MAX_NUM_UPKEEP_SPRITES]

Definition at line 313 of file tilespec.c.

Referenced by calculate_max_upkeep_height(), and get_unit_upkeep_sprite().

## ◆ overlays

struct sprite_vector named_sprites::overlays

Definition at line 400 of file tilespec.c.

Referenced by tileset_free_tiles(), and tileset_lookup_sprite_tags().

## ◆ [struct]

struct { ... } named_sprites::path

Referenced by fill_goto_sprite_array().

## ◆ patrol

struct sprite * named_sprites::patrol

Definition at line 303 of file tilespec.c.

## ◆ pillage

struct sprite * named_sprites::pillage

Definition at line 297 of file tilespec.c.

## ◆ plant

struct sprite * named_sprites::plant

Definition at line 296 of file tilespec.c.

## ◆ [struct]

struct { ... } named_sprites::player[MAX_NUM_PLAYER_SLOTS]

Referenced by fill_grid_sprite_array(), fill_sprite_array(), tileset_free(), tileset_init(), tileset_player_free(), and tileset_player_init().

## ◆ rivers

struct river_sprites named_sprites::rivers

Definition at line 383 of file tilespec.c.

Referenced by fill_basic_road_sprite_array(), fill_sprite_array(), and tileset_setup_road().

## ◆ rmact

struct sprite * named_sprites::rmact

Definition at line 356 of file tilespec.c.

Referenced by fill_sprite_array(), fill_unit_sprite_array(), and tileset_setup_extra().

## ◆ [struct]

struct { ... } named_sprites::road

Referenced by fill_basic_road_sprite_array(), fill_road_corner_sprites(), fill_road_sprite_array(), fill_sprite_array(), and tileset_setup_road().

## ◆ [union]

union { ... } named_sprites::ru

Referenced by fill_basic_road_sprite_array(), fill_road_sprite_array(), fill_sprite_array(), and tileset_setup_road().

## ◆ [struct]

struct { ... } named_sprites::s[GTS_COUNT]

Referenced by fill_goto_sprite_array().

## ◆ select

struct sprite * named_sprites::select[NUM_TILES_SELECT]

Definition at line 288 of file tilespec.c.

## ◆ selected

struct sprite * named_sprites::selected[EDGE_COUNT]

Definition at line 395 of file tilespec.c.

Referenced by fill_grid_sprite_array().

## ◆ sentry

struct sprite * named_sprites::sentry

Definition at line 298 of file tilespec.c.

## ◆ single

struct sprite* named_sprites::single

Definition at line 359 of file tilespec.c.

Referenced by fill_basic_extra_sprite_array(), and fill_sprite_array().

## ◆ single_wall

struct city_sprite * named_sprites::single_wall

Definition at line 326 of file tilespec.c.

Referenced by fill_sprite_array(), tileset_free_tiles(), tileset_init(), and tileset_setup_city_tiles().

## ◆ size

struct sprite * named_sprites::size[NUM_TILES_DIGITS]

Definition at line 318 of file tilespec.c.

Referenced by fill_sprite_array().

## ◆ size_hundreds

struct sprite * named_sprites::size_hundreds[NUM_TILES_DIGITS]

Definition at line 320 of file tilespec.c.

Referenced by fill_sprite_array().

## ◆ size_tens

struct sprite * named_sprites::size_tens[NUM_TILES_DIGITS]

Definition at line 319 of file tilespec.c.

Referenced by fill_sprite_array().

## ◆ spaceship

struct sprite* named_sprites::spaceship[SPACESHIP_COUNT]

Definition at line 273 of file tilespec.c.

Referenced by get_spaceship_sprite().

## ◆ specific

struct sprite* named_sprites::specific

Definition at line 336 of file tilespec.c.

Referenced by fill_goto_sprite_array().

## ◆ stack

struct sprite ** named_sprites::stack

Definition at line 299 of file tilespec.c.

## ◆ style_citizen_sets

struct style_citizen_set named_sprites::style_citizen_sets

Definition at line 271 of file tilespec.c.

Referenced by get_citizen_sprite(), tileset_free_tiles(), tileset_ruleset_reset(), tileset_setup_city_tiles(), and tilespec_reread().

## ◆ tax_gold

struct sprite * named_sprites::tax_gold

Definition at line 248 of file tilespec.c.

Referenced by get_tax_sprite().

## ◆ tax_luxury

struct sprite * named_sprites::tax_luxury

Definition at line 248 of file tilespec.c.

Referenced by get_tax_sprite().

## ◆ tax_science

struct sprite * named_sprites::tax_science

Definition at line 248 of file tilespec.c.

Referenced by get_tax_sprite().

## ◆ tech

struct sprite* named_sprites::tech[A_LAST]

Definition at line 258 of file tilespec.c.

Referenced by get_tech_sprite(), and tileset_setup_tech_type().

## ◆ tile [1/2]

struct sprite* named_sprites::tile

Definition at line 253 of file tilespec.c.

Referenced by fill_sprite_array(), get_sample_city_sprite(), tileset_background_init(), tileset_free_tiles(), tileset_init(), tileset_lookup_sprite_tags(), tileset_player_init(), tileset_setup_city_tiles(), and tileset_setup_tile_type().

## ◆ tile [2/2]

struct city_sprite* named_sprites::tile

Definition at line 325 of file tilespec.c.

## ◆ tile_foodnum

struct sprite * named_sprites::tile_foodnum[NUM_TILES_DIGITS]

Definition at line 321 of file tilespec.c.

Referenced by fill_city_overlays_sprite_array().

## ◆ tile_shieldnum

struct sprite * named_sprites::tile_shieldnum[NUM_TILES_DIGITS]

Definition at line 322 of file tilespec.c.

Referenced by fill_city_overlays_sprite_array().

## ◆ tile_tradenum

struct sprite * named_sprites::tile_tradenum[NUM_TILES_DIGITS]

Definition at line 323 of file tilespec.c.

Referenced by fill_city_overlays_sprite_array().

## ◆ tired

struct sprite * named_sprites::tired

Definition at line 308 of file tilespec.c.

## ◆ total

struct sprite* named_sprites::total[MAX_INDEX_VALID]

Definition at line 382 of file tilespec.c.

Referenced by fill_basic_road_sprite_array(), and fill_road_sprite_array().

## ◆ transform

struct sprite * named_sprites::transform

Definition at line 301 of file tilespec.c.

## ◆ treaty_thumb

struct sprite * named_sprites::treaty_thumb[2]

Definition at line 240 of file tilespec.c.

Referenced by get_treaty_thumb_sprite().

## ◆ turns

struct sprite* named_sprites::turns[NUM_TILES_DIGITS]

Definition at line 337 of file tilespec.c.

Referenced by fill_goto_sprite_array().

## ◆ turns_hundreds

struct sprite* named_sprites::turns_hundreds[NUM_TILES_DIGITS]

Definition at line 339 of file tilespec.c.

Referenced by fill_goto_sprite_array().

## ◆ turns_tens

struct sprite* named_sprites::turns_tens[NUM_TILES_DIGITS]

Definition at line 338 of file tilespec.c.

Referenced by fill_goto_sprite_array().

## ◆ [struct]

struct { ... } named_sprites::tx

Referenced by fill_fog_sprite_array(), fill_terrain_sprite_darkness(), get_basic_fog_sprite(), tileset_free_tiles(), and tileset_lookup_sprite_tags().

## ◆ [union]

union { ... } named_sprites::u

Referenced by fill_basic_base_sprite_array(), fill_basic_extra_sprite_array(), fill_basic_road_sprite_array(), fill_irrigation_sprite_array(), fill_road_corner_sprites(), fill_road_sprite_array(), fill_sprite_array(), tileset_setup_base(), tileset_setup_extra(), and tileset_setup_road().

## ◆ unavailable

struct sprite * named_sprites::unavailable

Definition at line 393 of file tilespec.c.

Referenced by fill_grid_sprite_array().

## ◆ unhappy

struct sprite* named_sprites::unhappy[MAX_NUM_UPKEEP_SPRITES]

Definition at line 312 of file tilespec.c.

Referenced by calculate_max_upkeep_height(), and get_unit_unhappy_sprite().

## ◆ unit [1/2]

struct sprite_vector named_sprites::unit

Definition at line 279 of file tilespec.c.

Referenced by fill_sprite_array(), fill_unit_sprite_array(), focus_unit_in_combat(), get_drawable_unit(), get_focus_unit_toggle_timeout(), get_unit_explode_animation(), tileset_free_tiles(), tileset_lookup_sprite_tags(), and toggle_focus_unit_state().

## ◆ [struct] [2/2]

struct { ... } named_sprites::unit

## ◆ [struct]

struct { ... } named_sprites::units

Referenced by get_unittype_sprite(), tileset_setup_unit_direction(), tileset_setup_unit_type(), and tileset_setup_unit_type_from_tag().

## ◆ unworked_tile

struct sprite * named_sprites::unworked_tile

Definition at line 255 of file tilespec.c.

Referenced by tileset_lookup_sprite_tags().

## ◆ unworked_tile_overlay

struct sprite_vector named_sprites::unworked_tile_overlay

Definition at line 330 of file tilespec.c.

Referenced by fill_city_overlays_sprite_array(), fill_sprite_array(), tileset_free_tiles(), and tileset_lookup_sprite_tags().

## ◆ [struct]

struct { ... } named_sprites::upkeep

Referenced by calculate_max_upkeep_height(), get_unit_unhappy_sprite(), and get_unit_upkeep_sprite().

## ◆ [struct]

struct { ... } named_sprites::user

Referenced by fill_sprite_array(), and get_attention_crosshair_sprite().

## ◆ vet_lev

struct sprite * named_sprites::vet_lev[MAX_VET_LEVELS]

Definition at line 287 of file tilespec.c.

## ◆ wall

struct city_sprite * named_sprites::wall[NUM_WALL_TYPES]

Definition at line 327 of file tilespec.c.

Referenced by fill_sprite_array(), tileset_free_tiles(), tileset_init(), and tileset_setup_city_tiles().

## ◆ waypoint

struct sprite* named_sprites::waypoint

Definition at line 341 of file tilespec.c.

Referenced by fill_goto_sprite_array().

## ◆ worked

struct sprite * named_sprites::worked[EDGE_COUNT]

Definition at line 392 of file tilespec.c.

Referenced by fill_grid_sprite_array().

## ◆ worked_tile

struct sprite * named_sprites::worked_tile

Definition at line 254 of file tilespec.c.

Referenced by tileset_lookup_sprite_tags().

## ◆ worked_tile_overlay

struct sprite_vector named_sprites::worked_tile_overlay

Definition at line 329 of file tilespec.c.

Referenced by fill_city_overlays_sprite_array(), tileset_free_tiles(), tileset_lookup_sprite_tags(), and tileset_num_city_colors().